Package com.mckoi.database

## Class ProcedureName

- java.lang.Object
- - com.mckoi.database.ProcedureName

    public class ProcedureName
    extends java.lang.Object

The name of a procedure as understood by a ProcedureManager.

### Constructor Summary

Constructors
`ProcedureName​(TableName table_name)` Constructs the ProcedureName from a TableName.
`ProcedureName​(java.lang.String schema, java.lang.String name)` Constructs the ProcedureName.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object ob)` Equality test.
`java.lang.String` `getName()` Returns the name of this procedure.
`java.lang.String` `getSchema()` Returns the schema of this procedure.
`int` `hashCode()` The hash key.
`static ProcedureName` `qualify​(java.lang.String current_schema, java.lang.String proc_name)` Returns a version of this procedure qualified to the given schema (unless the schema is present).
`java.lang.String` `toString()` Returns this procedure name as a string.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProcedureName

    public ProcedureName​(java.lang.String schema,
                         java.lang.String name)

Constructs the ProcedureName.

#### ProcedureName

    public ProcedureName​(TableName table_name)

Constructs the ProcedureName from a TableName.

### Method Detail

#### getSchema

    public java.lang.String getSchema()

Returns the schema of this procedure.

#### getName

    public java.lang.String getName()

Returns the name of this procedure.

#### toString

    public java.lang.String toString()

Returns this procedure name as a string.

Overrides:
  `toString` in class `java.lang.Object`

#### qualify

    public static ProcedureName qualify​(java.lang.String current_schema,
                                        java.lang.String proc_name)

Returns a version of this procedure qualified to the given schema (unless the schema is present).

#### equals

    public boolean equals​(java.lang.Object ob)

Equality test.

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

The hash key.

Overrides:
  `hashCode` in class `java.lang.Object`